Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network43.255.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
43.255.0.0
Broadcast address
43.255.255.255
First usable
43.255.0.1
Last usable
43.255.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
A (default /8)
As numbers
Hex 2BFF0000 · Integer 738131968 to 738197503
Reverse DNS zone
255.43.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101011.11111111..00000000.0000000043.255.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network00101011.11111111..00000000.0000000043.255.0.0
Broadcast00101011.11111111..11111111.1111111143.255.255.255
Split into smaller subnets/28

43.255.0.0/16 makes 4,096 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
143.255.0.0/2843.255.0.1 to 43.255.0.1443.255.0.1514
243.255.0.16/2843.255.0.17 to 43.255.0.3043.255.0.3114
343.255.0.32/2843.255.0.33 to 43.255.0.4643.255.0.4714
443.255.0.48/2843.255.0.49 to 43.255.0.6243.255.0.6314
543.255.0.64/2843.255.0.65 to 43.255.0.7843.255.0.7914
643.255.0.80/2843.255.0.81 to 43.255.0.9443.255.0.9514
743.255.0.96/2843.255.0.97 to 43.255.0.11043.255.0.11114
843.255.0.112/2843.255.0.113 to 43.255.0.12643.255.0.12714
943.255.0.128/2843.255.0.129 to 43.255.0.14243.255.0.14314
1043.255.0.144/2843.255.0.145 to 43.255.0.15843.255.0.15914
1143.255.0.160/2843.255.0.161 to 43.255.0.17443.255.0.17514
1243.255.0.176/2843.255.0.177 to 43.255.0.19043.255.0.19114
1343.255.0.192/2843.255.0.193 to 43.255.0.20643.255.0.20714
1443.255.0.208/2843.255.0.209 to 43.255.0.22243.255.0.22314
1543.255.0.224/2843.255.0.225 to 43.255.0.23843.255.0.23914
1643.255.0.240/2843.255.0.241 to 43.255.0.25443.255.0.25514
1743.255.1.0/2843.255.1.1 to 43.255.1.1443.255.1.1514
1843.255.1.16/2843.255.1.17 to 43.255.1.3043.255.1.3114
1943.255.1.32/2843.255.1.33 to 43.255.1.4643.255.1.4714
2043.255.1.48/2843.255.1.49 to 43.255.1.6243.255.1.6314
2143.255.1.64/2843.255.1.65 to 43.255.1.7843.255.1.7914
2243.255.1.80/2843.255.1.81 to 43.255.1.9443.255.1.9514
2343.255.1.96/2843.255.1.97 to 43.255.1.11043.255.1.11114
2443.255.1.112/2843.255.1.113 to 43.255.1.12643.255.1.12714
2543.255.1.128/2843.255.1.129 to 43.255.1.14243.255.1.14314
2643.255.1.144/2843.255.1.145 to 43.255.1.15843.255.1.15914
2743.255.1.160/2843.255.1.161 to 43.255.1.17443.255.1.17514
2843.255.1.176/2843.255.1.177 to 43.255.1.19043.255.1.19114
2943.255.1.192/2843.255.1.193 to 43.255.1.20643.255.1.20714
3043.255.1.208/2843.255.1.209 to 43.255.1.22243.255.1.22314
3143.255.1.224/2843.255.1.225 to 43.255.1.23843.255.1.23914
3243.255.1.240/2843.255.1.241 to 43.255.1.25443.255.1.25514
3343.255.2.0/2843.255.2.1 to 43.255.2.1443.255.2.1514
3443.255.2.16/2843.255.2.17 to 43.255.2.3043.255.2.3114
3543.255.2.32/2843.255.2.33 to 43.255.2.4643.255.2.4714
3643.255.2.48/2843.255.2.49 to 43.255.2.6243.255.2.6314
3743.255.2.64/2843.255.2.65 to 43.255.2.7843.255.2.7914
3843.255.2.80/2843.255.2.81 to 43.255.2.9443.255.2.9514
3943.255.2.96/2843.255.2.97 to 43.255.2.11043.255.2.11114
4043.255.2.112/2843.255.2.113 to 43.255.2.12643.255.2.12714
4143.255.2.128/2843.255.2.129 to 43.255.2.14243.255.2.14314
4243.255.2.144/2843.255.2.145 to 43.255.2.15843.255.2.15914
4343.255.2.160/2843.255.2.161 to 43.255.2.17443.255.2.17514
4443.255.2.176/2843.255.2.177 to 43.255.2.19043.255.2.19114
4543.255.2.192/2843.255.2.193 to 43.255.2.20643.255.2.20714
4643.255.2.208/2843.255.2.209 to 43.255.2.22243.255.2.22314
4743.255.2.224/2843.255.2.225 to 43.255.2.23843.255.2.23914
4843.255.2.240/2843.255.2.241 to 43.255.2.25443.255.2.25514
4943.255.3.0/2843.255.3.1 to 43.255.3.1443.255.3.1514
5043.255.3.16/2843.255.3.17 to 43.255.3.3043.255.3.3114
5143.255.3.32/2843.255.3.33 to 43.255.3.4643.255.3.4714
5243.255.3.48/2843.255.3.49 to 43.255.3.6243.255.3.6314
5343.255.3.64/2843.255.3.65 to 43.255.3.7843.255.3.7914
5443.255.3.80/2843.255.3.81 to 43.255.3.9443.255.3.9514
5543.255.3.96/2843.255.3.97 to 43.255.3.11043.255.3.11114
5643.255.3.112/2843.255.3.113 to 43.255.3.12643.255.3.12714
5743.255.3.128/2843.255.3.129 to 43.255.3.14243.255.3.14314
5843.255.3.144/2843.255.3.145 to 43.255.3.15843.255.3.15914
5943.255.3.160/2843.255.3.161 to 43.255.3.17443.255.3.17514
6043.255.3.176/2843.255.3.177 to 43.255.3.19043.255.3.19114
6143.255.3.192/2843.255.3.193 to 43.255.3.20643.255.3.20714
6243.255.3.208/2843.255.3.209 to 43.255.3.22243.255.3.22314
6343.255.3.224/2843.255.3.225 to 43.255.3.23843.255.3.23914
6443.255.3.240/2843.255.3.241 to 43.255.3.25443.255.3.25514
6543.255.4.0/2843.255.4.1 to 43.255.4.1443.255.4.1514
6643.255.4.16/2843.255.4.17 to 43.255.4.3043.255.4.3114
6743.255.4.32/2843.255.4.33 to 43.255.4.4643.255.4.4714
6843.255.4.48/2843.255.4.49 to 43.255.4.6243.255.4.6314
6943.255.4.64/2843.255.4.65 to 43.255.4.7843.255.4.7914
7043.255.4.80/2843.255.4.81 to 43.255.4.9443.255.4.9514
7143.255.4.96/2843.255.4.97 to 43.255.4.11043.255.4.11114
7243.255.4.112/2843.255.4.113 to 43.255.4.12643.255.4.12714
7343.255.4.128/2843.255.4.129 to 43.255.4.14243.255.4.14314
7443.255.4.144/2843.255.4.145 to 43.255.4.15843.255.4.15914
7543.255.4.160/2843.255.4.161 to 43.255.4.17443.255.4.17514
7643.255.4.176/2843.255.4.177 to 43.255.4.19043.255.4.19114
7743.255.4.192/2843.255.4.193 to 43.255.4.20643.255.4.20714
7843.255.4.208/2843.255.4.209 to 43.255.4.22243.255.4.22314
7943.255.4.224/2843.255.4.225 to 43.255.4.23843.255.4.23914
8043.255.4.240/2843.255.4.241 to 43.255.4.25443.255.4.25514
8143.255.5.0/2843.255.5.1 to 43.255.5.1443.255.5.1514
8243.255.5.16/2843.255.5.17 to 43.255.5.3043.255.5.3114
8343.255.5.32/2843.255.5.33 to 43.255.5.4643.255.5.4714
8443.255.5.48/2843.255.5.49 to 43.255.5.6243.255.5.6314
8543.255.5.64/2843.255.5.65 to 43.255.5.7843.255.5.7914
8643.255.5.80/2843.255.5.81 to 43.255.5.9443.255.5.9514
8743.255.5.96/2843.255.5.97 to 43.255.5.11043.255.5.11114
8843.255.5.112/2843.255.5.113 to 43.255.5.12643.255.5.12714
8943.255.5.128/2843.255.5.129 to 43.255.5.14243.255.5.14314
9043.255.5.144/2843.255.5.145 to 43.255.5.15843.255.5.15914
9143.255.5.160/2843.255.5.161 to 43.255.5.17443.255.5.17514
9243.255.5.176/2843.255.5.177 to 43.255.5.19043.255.5.19114
9343.255.5.192/2843.255.5.193 to 43.255.5.20643.255.5.20714
9443.255.5.208/2843.255.5.209 to 43.255.5.22243.255.5.22314
9543.255.5.224/2843.255.5.225 to 43.255.5.23843.255.5.23914
9643.255.5.240/2843.255.5.241 to 43.255.5.25443.255.5.25514
9743.255.6.0/2843.255.6.1 to 43.255.6.1443.255.6.1514
9843.255.6.16/2843.255.6.17 to 43.255.6.3043.255.6.3114
9943.255.6.32/2843.255.6.33 to 43.255.6.4643.255.6.4714
10043.255.6.48/2843.255.6.49 to 43.255.6.6243.255.6.6314
10143.255.6.64/2843.255.6.65 to 43.255.6.7843.255.6.7914
10243.255.6.80/2843.255.6.81 to 43.255.6.9443.255.6.9514
10343.255.6.96/2843.255.6.97 to 43.255.6.11043.255.6.11114
10443.255.6.112/2843.255.6.113 to 43.255.6.12643.255.6.12714
10543.255.6.128/2843.255.6.129 to 43.255.6.14243.255.6.14314
10643.255.6.144/2843.255.6.145 to 43.255.6.15843.255.6.15914
10743.255.6.160/2843.255.6.161 to 43.255.6.17443.255.6.17514
10843.255.6.176/2843.255.6.177 to 43.255.6.19043.255.6.19114
10943.255.6.192/2843.255.6.193 to 43.255.6.20643.255.6.20714
11043.255.6.208/2843.255.6.209 to 43.255.6.22243.255.6.22314
11143.255.6.224/2843.255.6.225 to 43.255.6.23843.255.6.23914
11243.255.6.240/2843.255.6.241 to 43.255.6.25443.255.6.25514
11343.255.7.0/2843.255.7.1 to 43.255.7.1443.255.7.1514
11443.255.7.16/2843.255.7.17 to 43.255.7.3043.255.7.3114
11543.255.7.32/2843.255.7.33 to 43.255.7.4643.255.7.4714
11643.255.7.48/2843.255.7.49 to 43.255.7.6243.255.7.6314
11743.255.7.64/2843.255.7.65 to 43.255.7.7843.255.7.7914
11843.255.7.80/2843.255.7.81 to 43.255.7.9443.255.7.9514
11943.255.7.96/2843.255.7.97 to 43.255.7.11043.255.7.11114
12043.255.7.112/2843.255.7.113 to 43.255.7.12643.255.7.12714
12143.255.7.128/2843.255.7.129 to 43.255.7.14243.255.7.14314
12243.255.7.144/2843.255.7.145 to 43.255.7.15843.255.7.15914
12343.255.7.160/2843.255.7.161 to 43.255.7.17443.255.7.17514
12443.255.7.176/2843.255.7.177 to 43.255.7.19043.255.7.19114
12543.255.7.192/2843.255.7.193 to 43.255.7.20643.255.7.20714
12643.255.7.208/2843.255.7.209 to 43.255.7.22243.255.7.22314
12743.255.7.224/2843.255.7.225 to 43.255.7.23843.255.7.23914
12843.255.7.240/2843.255.7.241 to 43.255.7.25443.255.7.25514
12943.255.8.0/2843.255.8.1 to 43.255.8.1443.255.8.1514
13043.255.8.16/2843.255.8.17 to 43.255.8.3043.255.8.3114
13143.255.8.32/2843.255.8.33 to 43.255.8.4643.255.8.4714
13243.255.8.48/2843.255.8.49 to 43.255.8.6243.255.8.6314
13343.255.8.64/2843.255.8.65 to 43.255.8.7843.255.8.7914
13443.255.8.80/2843.255.8.81 to 43.255.8.9443.255.8.9514
13543.255.8.96/2843.255.8.97 to 43.255.8.11043.255.8.11114
13643.255.8.112/2843.255.8.113 to 43.255.8.12643.255.8.12714
13743.255.8.128/2843.255.8.129 to 43.255.8.14243.255.8.14314
13843.255.8.144/2843.255.8.145 to 43.255.8.15843.255.8.15914
13943.255.8.160/2843.255.8.161 to 43.255.8.17443.255.8.17514
14043.255.8.176/2843.255.8.177 to 43.255.8.19043.255.8.19114
14143.255.8.192/2843.255.8.193 to 43.255.8.20643.255.8.20714
14243.255.8.208/2843.255.8.209 to 43.255.8.22243.255.8.22314
14343.255.8.224/2843.255.8.225 to 43.255.8.23843.255.8.23914
14443.255.8.240/2843.255.8.241 to 43.255.8.25443.255.8.25514
14543.255.9.0/2843.255.9.1 to 43.255.9.1443.255.9.1514
14643.255.9.16/2843.255.9.17 to 43.255.9.3043.255.9.3114
14743.255.9.32/2843.255.9.33 to 43.255.9.4643.255.9.4714
14843.255.9.48/2843.255.9.49 to 43.255.9.6243.255.9.6314
14943.255.9.64/2843.255.9.65 to 43.255.9.7843.255.9.7914
15043.255.9.80/2843.255.9.81 to 43.255.9.9443.255.9.9514
15143.255.9.96/2843.255.9.97 to 43.255.9.11043.255.9.11114
15243.255.9.112/2843.255.9.113 to 43.255.9.12643.255.9.12714
15343.255.9.128/2843.255.9.129 to 43.255.9.14243.255.9.14314
15443.255.9.144/2843.255.9.145 to 43.255.9.15843.255.9.15914
15543.255.9.160/2843.255.9.161 to 43.255.9.17443.255.9.17514
15643.255.9.176/2843.255.9.177 to 43.255.9.19043.255.9.19114
15743.255.9.192/2843.255.9.193 to 43.255.9.20643.255.9.20714
15843.255.9.208/2843.255.9.209 to 43.255.9.22243.255.9.22314
15943.255.9.224/2843.255.9.225 to 43.255.9.23843.255.9.23914
16043.255.9.240/2843.255.9.241 to 43.255.9.25443.255.9.25514
16143.255.10.0/2843.255.10.1 to 43.255.10.1443.255.10.1514
16243.255.10.16/2843.255.10.17 to 43.255.10.3043.255.10.3114
16343.255.10.32/2843.255.10.33 to 43.255.10.4643.255.10.4714
16443.255.10.48/2843.255.10.49 to 43.255.10.6243.255.10.6314
16543.255.10.64/2843.255.10.65 to 43.255.10.7843.255.10.7914
16643.255.10.80/2843.255.10.81 to 43.255.10.9443.255.10.9514
16743.255.10.96/2843.255.10.97 to 43.255.10.11043.255.10.11114
16843.255.10.112/2843.255.10.113 to 43.255.10.12643.255.10.12714
16943.255.10.128/2843.255.10.129 to 43.255.10.14243.255.10.14314
17043.255.10.144/2843.255.10.145 to 43.255.10.15843.255.10.15914
17143.255.10.160/2843.255.10.161 to 43.255.10.17443.255.10.17514
17243.255.10.176/2843.255.10.177 to 43.255.10.19043.255.10.19114
17343.255.10.192/2843.255.10.193 to 43.255.10.20643.255.10.20714
17443.255.10.208/2843.255.10.209 to 43.255.10.22243.255.10.22314
17543.255.10.224/2843.255.10.225 to 43.255.10.23843.255.10.23914
17643.255.10.240/2843.255.10.241 to 43.255.10.25443.255.10.25514
17743.255.11.0/2843.255.11.1 to 43.255.11.1443.255.11.1514
17843.255.11.16/2843.255.11.17 to 43.255.11.3043.255.11.3114
17943.255.11.32/2843.255.11.33 to 43.255.11.4643.255.11.4714
18043.255.11.48/2843.255.11.49 to 43.255.11.6243.255.11.6314
18143.255.11.64/2843.255.11.65 to 43.255.11.7843.255.11.7914
18243.255.11.80/2843.255.11.81 to 43.255.11.9443.255.11.9514
18343.255.11.96/2843.255.11.97 to 43.255.11.11043.255.11.11114
18443.255.11.112/2843.255.11.113 to 43.255.11.12643.255.11.12714
18543.255.11.128/2843.255.11.129 to 43.255.11.14243.255.11.14314
18643.255.11.144/2843.255.11.145 to 43.255.11.15843.255.11.15914
18743.255.11.160/2843.255.11.161 to 43.255.11.17443.255.11.17514
18843.255.11.176/2843.255.11.177 to 43.255.11.19043.255.11.19114
18943.255.11.192/2843.255.11.193 to 43.255.11.20643.255.11.20714
19043.255.11.208/2843.255.11.209 to 43.255.11.22243.255.11.22314
19143.255.11.224/2843.255.11.225 to 43.255.11.23843.255.11.23914
19243.255.11.240/2843.255.11.241 to 43.255.11.25443.255.11.25514
19343.255.12.0/2843.255.12.1 to 43.255.12.1443.255.12.1514
19443.255.12.16/2843.255.12.17 to 43.255.12.3043.255.12.3114
19543.255.12.32/2843.255.12.33 to 43.255.12.4643.255.12.4714
19643.255.12.48/2843.255.12.49 to 43.255.12.6243.255.12.6314
19743.255.12.64/2843.255.12.65 to 43.255.12.7843.255.12.7914
19843.255.12.80/2843.255.12.81 to 43.255.12.9443.255.12.9514
19943.255.12.96/2843.255.12.97 to 43.255.12.11043.255.12.11114
20043.255.12.112/2843.255.12.113 to 43.255.12.12643.255.12.12714
20143.255.12.128/2843.255.12.129 to 43.255.12.14243.255.12.14314
20243.255.12.144/2843.255.12.145 to 43.255.12.15843.255.12.15914
20343.255.12.160/2843.255.12.161 to 43.255.12.17443.255.12.17514
20443.255.12.176/2843.255.12.177 to 43.255.12.19043.255.12.19114
20543.255.12.192/2843.255.12.193 to 43.255.12.20643.255.12.20714
20643.255.12.208/2843.255.12.209 to 43.255.12.22243.255.12.22314
20743.255.12.224/2843.255.12.225 to 43.255.12.23843.255.12.23914
20843.255.12.240/2843.255.12.241 to 43.255.12.25443.255.12.25514
20943.255.13.0/2843.255.13.1 to 43.255.13.1443.255.13.1514
21043.255.13.16/2843.255.13.17 to 43.255.13.3043.255.13.3114
21143.255.13.32/2843.255.13.33 to 43.255.13.4643.255.13.4714
21243.255.13.48/2843.255.13.49 to 43.255.13.6243.255.13.6314
21343.255.13.64/2843.255.13.65 to 43.255.13.7843.255.13.7914
21443.255.13.80/2843.255.13.81 to 43.255.13.9443.255.13.9514
21543.255.13.96/2843.255.13.97 to 43.255.13.11043.255.13.11114
21643.255.13.112/2843.255.13.113 to 43.255.13.12643.255.13.12714
21743.255.13.128/2843.255.13.129 to 43.255.13.14243.255.13.14314
21843.255.13.144/2843.255.13.145 to 43.255.13.15843.255.13.15914
21943.255.13.160/2843.255.13.161 to 43.255.13.17443.255.13.17514
22043.255.13.176/2843.255.13.177 to 43.255.13.19043.255.13.19114
22143.255.13.192/2843.255.13.193 to 43.255.13.20643.255.13.20714
22243.255.13.208/2843.255.13.209 to 43.255.13.22243.255.13.22314
22343.255.13.224/2843.255.13.225 to 43.255.13.23843.255.13.23914
22443.255.13.240/2843.255.13.241 to 43.255.13.25443.255.13.25514
22543.255.14.0/2843.255.14.1 to 43.255.14.1443.255.14.1514
22643.255.14.16/2843.255.14.17 to 43.255.14.3043.255.14.3114
22743.255.14.32/2843.255.14.33 to 43.255.14.4643.255.14.4714
22843.255.14.48/2843.255.14.49 to 43.255.14.6243.255.14.6314
22943.255.14.64/2843.255.14.65 to 43.255.14.7843.255.14.7914
23043.255.14.80/2843.255.14.81 to 43.255.14.9443.255.14.9514
23143.255.14.96/2843.255.14.97 to 43.255.14.11043.255.14.11114
23243.255.14.112/2843.255.14.113 to 43.255.14.12643.255.14.12714
23343.255.14.128/2843.255.14.129 to 43.255.14.14243.255.14.14314
23443.255.14.144/2843.255.14.145 to 43.255.14.15843.255.14.15914
23543.255.14.160/2843.255.14.161 to 43.255.14.17443.255.14.17514
23643.255.14.176/2843.255.14.177 to 43.255.14.19043.255.14.19114
23743.255.14.192/2843.255.14.193 to 43.255.14.20643.255.14.20714
23843.255.14.208/2843.255.14.209 to 43.255.14.22243.255.14.22314
23943.255.14.224/2843.255.14.225 to 43.255.14.23843.255.14.23914
24043.255.14.240/2843.255.14.241 to 43.255.14.25443.255.14.25514
24143.255.15.0/2843.255.15.1 to 43.255.15.1443.255.15.1514
24243.255.15.16/2843.255.15.17 to 43.255.15.3043.255.15.3114
24343.255.15.32/2843.255.15.33 to 43.255.15.4643.255.15.4714
24443.255.15.48/2843.255.15.49 to 43.255.15.6243.255.15.6314
24543.255.15.64/2843.255.15.65 to 43.255.15.7843.255.15.7914
24643.255.15.80/2843.255.15.81 to 43.255.15.9443.255.15.9514
24743.255.15.96/2843.255.15.97 to 43.255.15.11043.255.15.11114
24843.255.15.112/2843.255.15.113 to 43.255.15.12643.255.15.12714
24943.255.15.128/2843.255.15.129 to 43.255.15.14243.255.15.14314
25043.255.15.144/2843.255.15.145 to 43.255.15.15843.255.15.15914
25143.255.15.160/2843.255.15.161 to 43.255.15.17443.255.15.17514
25243.255.15.176/2843.255.15.177 to 43.255.15.19043.255.15.19114
25343.255.15.192/2843.255.15.193 to 43.255.15.20643.255.15.20714
25443.255.15.208/2843.255.15.209 to 43.255.15.22243.255.15.22314
25543.255.15.224/2843.255.15.225 to 43.255.15.23843.255.15.23914
25643.255.15.240/2843.255.15.241 to 43.255.15.25443.255.15.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses